package jlx.asal.controlflow;

import java.util.*;

import jlx.asal.j.JScope;
import jlx.asal.parsing.api.*;
import jlx.asal.rewrite.ASALSymbolicValue;
import jlx.asal.vars.ASALVariable;

public class ASALFlattening {
	public static Map<ASALVariable, ASALSymbolicValue> getNextStateFct(JScope scope, Map<ASALVariable, ASALSymbolicValue> initialValuePerVar, List<ASALStatement> stats, Map<ASALVariable, ASALStatement> statPerChangedVar) {
		Map<ASALVariable, ASALStatement> statPerChangedVar2 = ASALCF.getStatPerVarUpdate(scope, stats);
		statPerChangedVar.clear();
		statPerChangedVar.putAll(statPerChangedVar2);
		return ASALCF.getNextStateFct2(scope, stats);
	}
	
	public static Map<ASALVariable, ASALSymbolicValue> getNextStateFct2(JScope scope, ASALStatement stat) {
		return ASALCF.getNextStateFct(scope, stat);
	}
	
	public static Map<ASALVariable, ASALSymbolicValue> getNextStateFct2(JScope scope, Map<ASALVariable, ASALSymbolicValue> initialValuePerVar, ASALStatement stat) {
		return ASALCF.getNextStateFct(scope, stat);
	}
	
	public static ASALSymbolicValue getSymbolicValue(JScope scope, ASALExpr expr, ASALSymbolicValue fallbackExpr) {
		return ASALCF.getSymbolicValue(scope, expr, fallbackExpr);
	}
	
	public static boolean couldBeSat(JScope scope, ASALExpr expr) {
		return ASALCF.couldBeSat(scope, expr);
	}
}

