package jlx.asal.j;

public class JPulse extends JType {
	@JTypeDefaultValue
	@JTypeTextify(format = "FALSE") //We define this because otherwise "JPulse.TRUE" is the automatic format.
	public final static class FALSE extends JPulse {}
	
	@JTypeTextify(format = "TRUE") //We define this because otherwise "JPulse.TRUE" is the automatic format.
	public final static class TRUE extends JPulse {}
	
	@JTypeExpr
	@JTypeTextify(format = "#expr")
	public final static class BOOL2PULSE extends JPulse {
		public JBool expr;
		
		public BOOL2PULSE() {
			//Empty.
		}
		
		public BOOL2PULSE(JBool expr) {
			this.expr = expr;
		}
	}
	
	public final static FALSE FALSE = new FALSE();
	public final static TRUE TRUE = new TRUE();
}
