package jlx.behave;

import jlx.asal.j.JTrigger;
import jlx.asal.parsing.ASALCode;

public class Outgoing extends CodeObject {
	private Class<? extends State> targetState;
	
	public Outgoing(Class<? extends State> targetState, String code0, String... code) {
		super(new ASALCode("TRANSITION", code0, code));
		
		this.targetState = targetState;
	}
	
	public Outgoing(Class<? extends State> targetState, JTrigger event) {
		super(new ASALCode("TRANSITION", event));
		
		this.targetState = targetState;
	}
	
	public Class<? extends State> getTargetState() {
		return targetState;
	}
}
