package jlx.utils.ldd.test;

import java.util.*;

import jlx.utils.ldd.*;

public class LDDManualTests {
	public static void main(String[] args) {
		Map<String, List<String>> pvsPerKey = new HashMap<String, List<String>>();
		pvsPerKey.put("A", List.of("1", "2"));
		pvsPerKey.put("B", List.of("3", "4", "5"));
		
		Set<Map<String, String>> maps = new HashSet<Map<String, String>>();
		maps.add(Map.of("A", "1", "B", "3"));
		maps.add(Map.of("A", "1", "B", "5"));
		maps.add(Map.of("A", "2", "B", "3"));
		maps.add(Map.of("A", "2", "B", "4"));
		maps.add(Map.of("A", "2", "B", "5"));
		
		LDD<String, String> x = new LDD<String, String>(maps, pvsPerKey);
		x.toGraphVizFile().saveToFile("ldd1.gv");
	}
}
