package models.elx.p.v2x7x0A.scenarios;

import jlx.scenario.*;
import models.elx.generic.v3x0x0A.F_EST_EfeS_SR;
import models.elx.generic.v3x0x0A.F_SCI_EfeS_Sec_SR;
import models.elx.generic.v3x0x0A.S_SCI_EfeS_Prim_SR;
import models.elx.p.v2x7x0A.DeutscheBahnPointModel;
import models.elx.p.v2x7x0A.F_P3_SR;
import models.elx.p.v2x7x0A.F_SCI_P_SR;
import models.elx.p.v2x7x0A.S_SCI_P_SR;

public abstract class SubS_P_SD extends Scenario {
	public final DeutscheBahnPointModel m;
	
	public SubS_P_SD(DeutscheBahnPointModel m) {
		this.m = m;
	}
	
	public F_EST_EfeS_SR.Block get_est() {
		return m.get_fe().est;
	}
	
	public F_P3_SR.Block get_p3() {
		return m.get_fe().p3;
	}
	
	public S_SCI_EfeS_Prim_SR.Block get_prim() {
		return m.get_p().prim;
	}
	
	public S_SCI_P_SR.Block get_sp() {
		return m.get_p().sp;
	}
	
	public F_SCI_EfeS_Sec_SR.Block get_sec() {
		return m.get_fe().sec;
	}
	
	public F_SCI_P_SR.Block get_fp() {
		return m.get_fe().fp;
	}
}
