package models.fmics;

import jlx.behave.stable.files.DecaStableFileWriter;

public class Point_TransformData {
	public static void main(String[] args) {
		transform("output", "point.sic", "point.xsic");
		transform("output", "point.trcov.sic", "point.trcov.xsic");
		transform("output", "point.trlabcov.sic", "point.trlabcov.xsic");
		transform("output", "point.bisim.sic", "point.bisim.xsic");
		
		transform("sttt", "pc2.sic", "pc2.xsic");
		transform("sttt", "pc2.trcov.sic", "pc2.trcov.xsic");
		transform("sttt", "pc2.trlabcov.sic", "pc2.trlabcov.xsic");
	}
	
	public static void transform(String directory, String oldFilename, String newFilename) {
		if (newFilename.equals(oldFilename)) {
			throw new Error("Should not happen!");
		}
		
		DecaStableFileWriter r = new DecaStableFileWriter();
		r.loadFromFile(directory, oldFilename, false);
		r.saveToFile(directory, newFilename);
	}
}
