package models.sttt.point._2pm;

import jlx.behave.stable.files.DecaStableFileBisimReducer;
import jlx.behave.stable.files.DecaStableFileWriter;
import jlx.common.reflection.ReflectionException;

public class Step3_ReduceSICDFSM {
	/**
	 * Reduces the SIC-DFSM modulo strong bisimilarity:
	 */
	public static void main(String[] args) throws ReflectionException {
		System.out.println(Step3_ReduceSICDFSM.class.getName());
		
		DecaStableFileBisimReducer r = new DecaStableFileBisimReducer();
		r.loadFromFile("sttt", "point.2pm.sic", false);
		
		DecaStableFileWriter dest = new DecaStableFileWriter();
		r.writeTo(dest);
		dest.saveToFile("sttt", "point.2pm.bisim.sic");
	}
}
