package models.sttt.toy;

import jlx.behave.stable.files.*;
import jlx.behave.stable.testgen.DecaStableTestGen5;
import jlx.common.reflection.ReflectionException;

public class __Run {
	public static void main(String[] args) throws ReflectionException {
		SimplePcModel m2 = new SimplePcModel(true, true);
		
		DecaStableFileBuilder b = new DecaStableFileBuilder(m2.get_ub().stableSm, false); 
		b.saveToFile("sttt", "pc2.sic");
		
		DecaStableFileWriter r = new DecaStableFileWriter();
		r.loadFromFile("sttt", "pc2.sic", false);
		
		new DecaStableTestGen5(r, 1f, false).populateTests("trcov");
		r.saveToFile("sttt", "pc2.trcov.sic");
		r.printToFile("pc2-edge-tests.txt");
		
		new DecaStableTestGen5(r, 1f, true).populateTests("trlabcov");
		r.saveToFile("sttt", "pc2.trlabcov.sic");
		r.printToFile("pc2-label-tests.txt");
	}
}
