package jlx.behave;

import jlx.asal.j.JTrigger;
import jlx.asal.parsing.ASALCode;

public class Incoming extends CodeObject {
	private Class<? extends State> sourceState;
	
	public Incoming(Class<? extends State> sourceState, String code0, String... code) {
		super(new ASALCode("TRANSITION", code0, code));
		
		this.sourceState = sourceState;
	}
	
	public Incoming(Class<? extends State> sourceState, JTrigger event) {
		super(new ASALCode("TRANSITION", event));
		
		this.sourceState = sourceState;
	}
	
	public Class<? extends State> getSourceState() {
		return sourceState;
	}
}
