package jlx.blocks.ibd1;

import jlx.asal.j.*;
import jlx.asal.parsing.ASALCode;

public class Initialization extends Operation<JVoid> {
	public Initialization(String code0, String... code) {
		super(new ASALCode("STATS1", code0, code), true);
	}
	
	public Initialization(JStat stat0, JStat... statements) {
		super(new ASALCode("STATS1", JStat.seq(stat0, statements)), true);
	}
}
