package jlx.blocks.ibd2;

import jlx.asal.j.JPort;
import jlx.blocks.ibd1.*;

public final class InterfacePort extends JPort {
	public final String flowSpec;
	
	public InterfacePort() {
		this(null);
	}
	
	public InterfacePort(String flowSpec) {
		this.flowSpec = flowSpec;
	}
	
	public void connect(InPort<?> targetPort) {
		addTargetPort(targetPort);
	}
	
	public void connect(OutPort<?> sourcePort) {
		addSourcePort(sourcePort);
	}
	
	public void connect(InterfacePort other) {
		addSourcePort(other);
		addTargetPort(other);
	}
}
