package jlx.utils;

import java.io.PrintStream;
import java.util.*;

public class Lines extends AbstractExporter {
	private final List<String> elems;
	
	public Lines() {
		elems = new ArrayList<String>();
	}
	
	public void clear() {
		elems.clear();
	}
	
	public void add(String line) {
//		if (line.length() > 1000) {
//			throw new Error("Suspiciously long line: " + line);
//		}
		
		elems.add(line);
	}
	
	public List<String> getElems() {
		return elems;
	}
	
	@Override
	public void saveToFile(PrintStream out) {
		for (String line : elems) {
			out.println(line);
		}
	}
}
