package jlx.utils.ldd;

import java.util.*;

public class LDDRef<K, V> {
	private LDD<K, V> ldd;
	
	public LDDRef(LDD<K, V> ldd) {
		this.ldd = ldd;
	}
	
	public LDD<K, V> getLdd() {
		return ldd;
	}
	
	public void setLdd(LDD<K, V> ldd) {
		this.ldd = ldd;
	}
	
	@Override
	public int hashCode() {
		return Objects.hash(ldd);
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LDDRef<?, ?> other = (LDDRef<?, ?>) obj;
		return Objects.equals(ldd, other.ldd);
	}
}

