package models.mini.thesis;

import jlx.asal.j.*;
import jlx.blocks.ibd1.*;

public class FlatteningIBD {
	public static class Block extends Type1IBD {
		public final InPort<JPulse> X = new InPort<>();
		public final InPort<JPulse> Y = new InPort<>();
		public final InPort<JPulse> Z = new InPort<>();
		public final InPort<JPulse> W = new InPort<>();
		public final InPort<JPulse> F = new InPort<>();
		
		public final OutPort<JBool> A = new OutPort<>();
		public final OutPort<JBool> B = new OutPort<>();
		public final OutPort<JBool> C = new OutPort<>();
		public final OutPort<JBool> D = new OutPort<>();
		public final OutPort<JPulse> P = new OutPort<>();
		
		public final Initialization AInit = new Initialization("");
		public final Initialization BInit = new Initialization("");
		public final Initialization CInit = new Initialization("");
		
		public final Operation<JVoid> AEntry = new Operation<JVoid>("A := TRUE;");
		public final Operation<JVoid> AExit = new Operation<JVoid>("A := FALSE;");
		public final Operation<JVoid> BEntry = new Operation<JVoid>("B := TRUE;");
		public final Operation<JVoid> BExit = new Operation<JVoid>("B := FALSE;");
		public final Operation<JVoid> DEntry = new Operation<JVoid>("D := TRUE;");
		public final Operation<JVoid> DExit = new Operation<JVoid>("D := FALSE;");
		
		public final Operation<JVoid> ADo = new Operation<JVoid>("P := TRUE;");
		public final Operation<JVoid> BDo = new Operation<JVoid>("");
		
		public final Operation<JVoid> AW = new Operation<JVoid>("");
		public final Operation<JVoid> CY = new Operation<JVoid>("");
		public final Operation<JVoid> DZ = new Operation<JVoid>("");
	}
}
