package models.mini.thesis;

import jlx.behave.proto.gui.DecaFourSimulatorGUI;
import jlx.common.reflection.ReflectionException;
import jlx.models.*;

public class __MODEL {
	private final FlatteningIBD.Block ibd;
	private final UnifyingBlock ub;
	
	public __MODEL(boolean explore, boolean exploreStable) throws ReflectionException {
		Model m = new Model();
		ibd = m.add("ibd", new FlatteningSMD());
		
		long prevTime = System.currentTimeMillis();
		
		ub = new UnifyingBlock("point", m, explore, exploreStable);
		
		System.out.println("#time-elapsed = " + (0.001f * (System.currentTimeMillis() - prevTime)) + "s");
	}
	
	public FlatteningIBD.Block get_ibd() {
		return ibd;
	}
	
	public UnifyingBlock get_ub() {
		return ub;
	}
	
	public void simulate() {
		new DecaFourSimulatorGUI(ub.sms4);
	}
}

