package models.sttt.point._2pm;

import jlx.behave.stable.files.DecaStableFileWriter;
import jlx.behave.stable.testgen.DecaStableTestGen5;
import jlx.common.reflection.ReflectionException;

public class Step4_GenerateTestSuites {
	/**
	 * Generates two test suites, one covering edges and one coveraging edges *labels*.
	 */
	public static void main(String[] args) throws ReflectionException {
		System.out.println(Step4_GenerateTestSuites.class.getName());
		
		DecaStableFileWriter r = new DecaStableFileWriter();
		r.loadFromFile("sttt", "point.2pm.bisim.sic", false);
		new DecaStableTestGen5(r, 0.1f, false).populateTests("trcov");
		new DecaStableTestGen5(r, 0.1f, true).populateTests("trlabcov");
		r.saveToFile("sttt", "point.2pm.bisim.2suite.sic");
	}
}
